Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
tvbuff Struct Reference

## Public Attributes
tvbuff_t * | next
const struct tvb_ops * | ops
gboolean | initialized
guint | flags
struct tvbuff * | ds_tvb
const guint8 * | real_data
guint | length
guint | reported_length
guint | contained_length
gint | raw_offset

## Member Data Documentation

guint tvbuff::contained_length

If this was extracted from a parent tvbuff, this is the amount of extracted data that was reported as being in the parent tvbuff; if this represents a blob of data in that tvbuff that has a length specified by data in that tvbuff, it might be greater than the amount of data that was actually there to extract, so it could be greater than reported_length.

If this wasn't extracted from a parent tvbuff, this is the same as reported_length.

This must never be > reported_length.

struct tvbuff* tvbuff::ds_tvb

data source top-level tvbuff

guint tvbuff::length

Amount of data that's available from the capture file. This is the length of virtual buffer (and/or real_data). It may be less than the reported length if this is from a packet that was cut short by the capture process.

This must never be > reported_length or contained_length.

const guint8* tvbuff::real_data

Pointer to the data for this tvbuff. It might be null, which either means that 1) it's a zero-length tvbuff or 2) the tvbuff was lazily constructed, so that we don't allocate a buffer of backing data and fill it in unless we need that data, e.g. when tvb_get_ptr() is called.

guint tvbuff::reported_length

Amount of data that was reported as being in the packet or other data that this represents. As indicated above, it may be greater than the amount of data that's available.

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/tvbuff-int.h